Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageCursor3D Class Reference

`#include <vtkImageCursor3D.h>`

Inheritance diagram for vtkImageCursor3D:

[legend]
Collaboration diagram for vtkImageCursor3D:

[legend]
List of all members.

## Detailed Description

Paints a cursor on top of an image or volume.

Date:
  2002/01/22 15:32:14

Revision:
  1.20

vtkImageCursor3D will draw a cursor on a 2d image or 3d volume.

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (60%)
  - Martin, Ken (32%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageCursor3D.cxx)`
  - .`h` (`/Imaging/vtkImageCursor3D.h)`

Tests:
  vtkImageCursor3D (Tests)

Definition at line 45 of file vtkImageCursor3D.h.

## Public Types
typedef vtkImageInPlaceFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCursorPosition (float, float, float)
virtual void | SetCursorPosition (float[3])
virtual float * | GetCursorPosition ()
virtual void | GetCursorPosition (float &, float &, float &)
virtual void | GetCursorPosition (float[3])
virtual void | SetCursorValue (float)
virtual float | GetCursorValue ()
virtual void | SetCursorRadius (int)
virtual int | GetCursorRadius ()
## Static Public Methods
vtkImageCursor3D * | New ()
int | IsTypeOf (const char *type)
vtkImageCursor3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageCursor3D ()
| ~vtkImageCursor3D ()
void | ExecuteData (vtkDataObject *outData)
## Protected Attributes
float | CursorPosition [3]
float | CursorValue
int | CursorRadius

## Member Typedef Documentation

typedef vtkImageInPlaceFilter vtkImageCursor3D::Superclass

| Reimplemented from vtkImageInPlaceFilter. Definition at line 49 of file vtkImageCursor3D.h.

## Constructor & Destructor Documentation

vtkImageCursor3D::vtkImageCursor3D | ( |  | ) | `[protected]`

vtkImageCursor3D::~vtkImageCursor3D | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkImageCursor3D.h.

## Member Function Documentation

vtkImageCursor3D* vtkImageCursor3D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageCursor3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageInPlaceFilter.

int vtkImageCursor3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageInPlaceFilter.

virtual int vtkImageCursor3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageInPlaceFilter.

vtkImageCursor3D* vtkImageCursor3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageInPlaceFilter.

void vtkImageCursor3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageInPlaceFilter.

virtual void vtkImageCursor3D::SetCursorPosition | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Sets/Gets the center point of the 3d cursor.

virtual void vtkImageCursor3D::SetCursorPosition | ( | float | [3] | ) | `[virtual]`

| Sets/Gets the center point of the 3d cursor.

virtual float* vtkImageCursor3D::GetCursorPosition | ( |  | ) | `[virtual]`

| Sets/Gets the center point of the 3d cursor.

virtual void vtkImageCursor3D::GetCursorPosition | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Sets/Gets the center point of the 3d cursor.

virtual void vtkImageCursor3D::GetCursorPosition | ( | float | [3] | ) | `[virtual]`

| Sets/Gets the center point of the 3d cursor.

virtual void vtkImageCursor3D::SetCursorValue | ( | float |  | ) | `[virtual]`

| Sets/Gets what pixel value to draw the cursor in.

virtual float vtkImageCursor3D::GetCursorValue | ( |  | ) | `[virtual]`

| Sets/Gets what pixel value to draw the cursor in.

virtual void vtkImageCursor3D::SetCursorRadius | ( | int |  | ) | `[virtual]`

| Sets/Gets the radius of the cursor. The radius determines how far the axis lines project out from the cursors center.

virtual int vtkImageCursor3D::GetCursorRadius | ( |  | ) | `[virtual]`

| Sets/Gets the radius of the cursor. The radius determines how far the axis lines project out from the cursors center.

void vtkImageCursor3D::ExecuteData | ( | vtkDataObject * | outData | ) | `[protected, virtual]`

| Reimplemented from vtkImageInPlaceFilter.

## Member Data Documentation

float vtkImageCursor3D::CursorPosition[3]`[protected]`

| Definition at line 77 of file vtkImageCursor3D.h.

float vtkImageCursor3D::CursorValue`[protected]`

| Definition at line 78 of file vtkImageCursor3D.h.

int vtkImageCursor3D::CursorRadius`[protected]`

| Definition at line 79 of file vtkImageCursor3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageCursor3D.h